Skip to main content
`Ctrl`+`K`

# PetscContainerSetCtxDestroy

Sets the destroy function for the data provided to the `PetscContainer` with `PetscContainerSetPointer()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscContainerSetCtxDestroy(PetscContainer obj, PetscCtxDestroyFn *des)

Logically Collective, No Fortran Support

## Input Parameters

- obj - an object that was created with `PetscContainerCreate()`

- des - name of the ctx destroy function, see `PetscCtxDestroyFn` for its calling sequence

## Note

Use `PetscCtxDestroyDefault()` if the memory was obtained by calling `PetscMalloc()` or one of its variants for single memory allocation.

## See Also

`PetscContainerDestroy()`, `PetscContainerUserDestroyDefault()`, `PetscMalloc()`, `PetscMalloc1()`, `PetscCalloc()`, `PetscCalloc1()`, `PetscObject`, `PetscObjectContainerCompose()`, `PetscObjectContainerQuery()`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages